# Poikkeuksen heittäminen

Kirjoita ohjelma `ArvonTarkastus`, joka kysyy käyttäjältä yhden luvun. Ohjelmasi tulee luvun kysymisen jälkeen tarkastaa, että luku on vähintään 0 ja korkeintaan 23.

Mikäli luku on sallittu, tulee ohjelmasi tulostaa teksti "Luku X on sallittu." ja ohjelman suorituksen pitää päättyä. Mikäli luku ei ole sallittu, tulee ohjelmasi heittää Javan valmis [IllegalArgumentException-poikkeus](https://docs.oracle.com/javase/9/docs/api/java/lang/IllegalArgumentException.html), minkä jälkeen ohjelmasi "kaatuu". Voit antaa poikkeukselle konstruktoriparametrina minkä tahansa virheilmoituksen tai jättää merkkijonon antamatta.

```
Syötä luku väliltä 0-23: -1
Exception in thread "main" java.lang.IllegalArgumentException
```

**ArvonTarkastus.java**

```
import java.util.Scanner;

public class ArvonTarkastus {

    public static void main(String[] args) throws IllegalArgumentException {

        Scanner syote = new Scanner(System.in);
        int min=0, max=23;

        System.out.printf("Syötä luku väliltä %d-%d: ", min, max);
        int luku = syote.nextInt();

        if (luku >= min && luku <= max) {
            System.out.printf("Luku %d on sallittu.", luku);
            System.exit(0);
        } else {
            throw new IllegalArgumentException();
        }

    }

}
```
