Tee ohjelma Pikavippi, joka kertoo paljonko lainatusta rahasta pitää maksaa. Ohjelmalle kerrotaan yhtiön laittama korko ja vuosimäärä, jonka jälkeen maksuja takaisinmaksu vasta tehtäisiin – yksi tai kaksi vuotta. Ohjelmalle annetaan myös korkoprosentti: Nordax pankki tarjoaa pikavippejä 41 prosentin korolla vuodeksi ja Viikinkilaina 37 prosentin korolla kahdeksi vuodeksi.

Käytännössä vuoden lainakoroksi annetaan aina 41 ja kahden vuoden koroksi 37 prosenttia. Tässä tehtävässä ei huomioida korkoa korolle -ilmiötä tai lainan maksamista takaisin osissa.

Huom 1! Tässä tehtävässä et saa pyöristää etkä muotoilla lopputulosta, vaan double-arvo tulee tulostaa sellaisenaan.

Huom 2! Tehtävä ei laske oikein korkoa korolle ilmiötä kahden vuoden tapauksessa, vaan ainoastaan kerrotaan ensimmäisen vuoden korko kahdella. Ohjelmaan ei tule tehdä if-rakenteita.

```
Example output:
Anna pikavipin määrä euroissa: 500
Moneksiko vuodeksi raha halutaan (1 tai 2): 1
Lainakorko kahdesta yleisestä (41% tai 37%): 41
Lainatut rahat maksavat eli korko 205.0
```

----------

**Pikavippi.java**

```
import java.util.Scanner;

public class Pikavippi {

    public static void main(String[] args) {
        // Voitaisiin käyttää myös useampaa Scanneria
        Scanner syote = new Scanner(System.in);

        /* Näitä voitaisiin käyttää, jos ohjelmaan toteutettaisiin esimerkiksi ehtolauseita.
        // Vuoden korko, Kahden vuoden korko
        double vuosikorko_nordax = 41, vuosikorko_viikinkilaina = 37;

        */

        // Tulosteissa ja niiden tarkistamisessa tarvittaisiin ehtolauseita ja virhetilanteiden (virheellisten syötteiden) hallintaa.

        System.out.print("Anna pikavipin määrä euroissa: ");
        double pikavippi_euro = syote.nextDouble();

        System.out.print("Moneksiko vuodeksi raha halutaan (1 tai 2): ");
        double pikavippi_vuosi = syote.nextInt();

        System.out.print("Lainakorko kahdesta yleisestä (41% tai 37%): ");
        double pikavippi_korko = syote.nextInt();

        double lainaraha_hinta = (pikavippi_euro * (pikavippi_korko/100)) * pikavippi_vuosi;

        System.out.printf("Lainatut rahat maksavat eli korko %s", lainaraha_hinta);

    }
}
```
