Tee ohjelma Maalaus, joka kertoo, paljonko maalia on ostettava. Ohjelma kysyy huoneen leveyden, pituuden ja korkeuden sekä paljonko litralla maalia saadaan maalattua. Ohjelma kertoo tämän jälkeen maalin tarpeen litroina. Muotoile vastaus kahdella desimaalilla.

Esimerkiksi huoneen leveys on 3.2 metriä, pituus on 3.0 metriä ja korkeus 2.5 metriä. Litralla maalia saadaan maalattua 7.0 neliötä. Maalia tarvitaan koko huoneen maalaamiseen 4.43 l ((leveys + leveys + pituus + pituus) * korkeus / litralla).

Huom! Muista muotoilla tulos käyttäen java.text.DecimalFormat-luokkaa ja kahden desimaalin tarkkuutta.

```
Example output:
Anna huoneen leveys, pituus ja korkeus: 3,40 3,00 2,50
Paljonko litralla saadaan maalattua neliöitä: 5
Maalin tarve on 6,40 litraa
```

----------

**Maalaus.java**

```
import java.util.Scanner;
import java.text.DecimalFormat;

public class Maalaus {

    public static void main(String[] args) {
        DecimalFormat round_2 = new DecimalFormat("0.00");
        Scanner syote = new Scanner(System.in);

        System.out.print("Anna huoneen leveys, pituus ja korkeus: ");
        double leveys = syote.nextDouble();
        double pituus = syote.nextDouble();
        double korkeus = syote.nextDouble();

        double m2_yhteensa = (2 * leveys + 2 * pituus) * korkeus;

        System.out.print("Paljonko litralla saadaan maalattua neliöitä: ");
        double maali_riittavyys_m2_litra = syote.nextDouble();

        double maali_riittavyys = m2_yhteensa / maali_riittavyys_m2_litra;

        System.out.println("Maalin tarve on " + round_2.format(maali_riittavyys) + " litraa");
    }
}
```
