Tee ohjelma Juhlat, millä voidaan laskea, montako kuohuviinipulloa juhliin tarvitsee hankkia. Yhdestä pullosta saa 7 lasillista. Ohjelma kysyy vieraiden määrän ja kertoo
- tarvittavien kuohuviinipullojen määrän kokonaislukuna (vinkkinä: etsi tietoa ceil-käskystä)
- montako lasia jää yli viimeisestä pullosta

```
Example output:
Anna juhliin tulevien aikuisten määrä: 23
Pulloja tarvitaan 4 kappaletta
Viimeisestä pullosta jää 5 lasia
```

----------

**Juhlat.java**

```
import java.util.Scanner;

public class Juhlat {

    public static void main(String[] args) {
        int lasilliset_per_pullo = 7;

        Scanner syote = new Scanner(System.in);

        System.out.print("Anna juhliin tulevien aikuisten määrä: ");
        double vieraat_lkm = syote.nextInt();

        double pullot_desim = vieraat_lkm / lasilliset_per_pullo;

        int pullot_lkm = (int)Math.ceil(pullot_desim);

        System.out.println("Pulloja tarvitaan " + pullot_lkm + " kappaletta");

        int ylim_lasilliset_lkm = (int)Math.round(((double)pullot_lkm - pullot_desim) * lasilliset_per_pullo);

        System.out.println("Viimeisestä pullosta jää " + ylim_lasilliset_lkm + " lasia");

    }
}
```
