Tee ohjelma Katsastus, jolla voidaan selvittää katsastusasemalla käynnin hinta.

- pelkkä jälkitarkastus maksaa 30. (Tällöin ei mitata päästöjä.)
- katsastus maksaa 50
- jos katsastuksessa mitataan päästö, bensiiniautolla se on 22 ja dieselautolla 31
- jos katsastuksessa ei mitata päästöjä, ohjelma ei kysy auton polttoaineen tyyppiä.

```
Example output:
Onko 1=katsastus, 2=jälkitarkastus: 1
Mitataanko päästöt 0=ei, 1=kyllä: 1
Onko auto 0=bensa, 1=diesel: 1

Hinta on 81
```

--------------------

**Katsastus.java**

```
import java.util.Scanner;
import java.util.InputMismatchException;

public class Katsastus {

    public static void main(String[] args) {

        Scanner syote = new Scanner(System.in);
        int hinta = 0;

        System.out.print("Onko 1=katsastus, 2=jälkitarkastus: ");
        int syote_katsastus = syote.nextInt();

        if (syote_katsastus == 1) {
            hinta += 50;

            System.out.print("Mitataanko päästöt 0=ei, 1=kyllä: ");
            int syote_paastot = syote.nextInt();

            if (syote_paastot == 1) {
                System.out.print("Onko auto 0=bensa, 1=diesel: ");
                int syote_polttoaine = syote.nextInt();

                if (syote_polttoaine == 0) {
                    hinta += 22;
                } else if (syote_polttoaine == 1) {
                    hinta += 31;
                } /*else {
                    throw new InputMismatchException();
                    System.exit(1);
                }*/

            }

        } else if (syote_katsastus == 2) {
            hinta += 30;
        } else {
            throw new InputMismatchException();
            System.exit(1);
        }

        System.out.println("Hinta on " + hinta);

    }

}
```
