Toteuta ohjelma, joka lukee käyttäjältä lukuja listalle. Syötteiden lukeminen päätetään kun käyttäjä syöttää luvun -1.

Kun lukujen lukeminen lopetetaan, laske listalla olevien lukujen keskiarvo ja tulosta se. Tulostettua keskiarvoa ei tule muotoilla eikä pyöristää. Voit hyödyntää tehtävän ratkaisemisessa tehtäväpohjaa.

Pohja: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava13/ListanLukujenKeskiarvo.java

```
Example output:
Syötä kokonaislukuja listalle (-1 lopettaa):
72
2
8
11
-1

Keskiarvo: 23.25
```

--------------------

**ListanLukujenKeskiarvo.java**

```
/* Tässä ei ole käytetty valmista pohjaa */

import java.util.ArrayList;
import java.util.Scanner;
import java.text.DecimalFormat;

public class ListanLukujenKeskiarvo {
    public static void main(String[] args) {

        Scanner syote = new Scanner(System.in);
        DecimalFormat r2 = new DecimalFormat(".00");

        int i, sum = 0;
        ArrayList<Integer> lukulista = new ArrayList<Integer>();

        System.out.println("Syötä kokonaislukuja listalle (-1 lopettaa):");
        while (true) {

            try {
                int luku = syote.nextInt();

                if (luku == -1) {
                    break;
                }

                lukulista.add(luku);

            } catch (NumberFormatException e) {
                System.err.println("Antamasi syöte ei ole kokonaisluku");
                System.exit(1);
            }
        }

        for (i = 0; i < lukulista.size(); i++) {
            sum += lukulista.get(i);
        }

        System.out.printf("Keskiarvo: %s\n", ((double)sum/lukulista.size()));
    }
}
```
