Täydennä tehtäväpohjassa oleva metodi public static void tulostaRajatutLuvut(ArrayList<Integer> luvut, int alaraja, int ylaraja). Metodin tulee tulostaa parametrina annetulta listalta ne luvut, joiden arvot ovat välillä [alaraja, ylaraja]. Alla on muutama esimerkki metodin toiminnasta:

```
ArrayList<Integer> luvut = new ArrayList<>();
luvut.add(3);
luvut.add(2);
luvut.add(6);
luvut.add(-1);
luvut.add(5);
luvut.add(1);

System.out.println("Luvut välillä [0, 5]");
tulostaRajatutLuvut(luvut, 0, 5);

System.out.println("Luvut välillä [3, 10]");
tulostaRajatutLuvut(luvut, 3, 10);
```

```
Esimerkkitulostus:

Luvut välillä [0, 5]
3
2
5
1
Luvut välillä [3, 10]
3
6
5
```

Pohja: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava15/TulostaRajatut.java

```
Example output:
Luvut välillä [0, 5]
3
2
5
1
Luvut välillä [3, 10]
3
6
5
```

--------------------

**TulostaRajatut.java**

```
// Ref: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava15/TulostaRajatut.java
import java.util.ArrayList;

public class TulostaRajatut {

    public static void main(String[] args) {
        ArrayList<Integer> luvut = new ArrayList<>();
        luvut.add(3);
        luvut.add(2);
        luvut.add(6);
        luvut.add(-1);
        luvut.add(5);
        luvut.add(1);

        System.out.println("Luvut välillä [0, 5]");
        tulostaRajatutLuvut(luvut, 0, 5);

        System.out.println("Luvut välillä [3, 10]");
        tulostaRajatutLuvut(luvut, 3, 10);
    }

    public static void tulostaRajatutLuvut(ArrayList<Integer> luvut, int alaraja, int ylaraja) {

        int i = 0;
        while (i < luvut.size() ) {
            if (luvut.get(i) >= alaraja && luvut.get(i) <= ylaraja) {
                System.out.println(luvut.get(i));
            }
            i++;
        }

    }
}
```
