Kirjoita luokka Laskuoperaatiot ja siihen kaksi julkista staattista metodia: summa ja erotus. Määrittele metodit siten, että ne saavat parametriarvoinaan 2 double-tyyppistä liukulukua ja että ne palauttavat tuloksena double-tyyppisen liukuluvun. Summa-metodin täytyy palauttaa annettujen lukujen summa ja erotus vastaavasti palauttaa erotuksen (ensimmäinen luku - toinen luku). Huomaa, että et saa tulostaa näissä metodeissa mitään, vaan tulos on palautettava pois metodista.

Voit testata kirjoittamaasi luokkaa alla olevan testiluokan avulla tai kirjoittaa vapaavalintaisen oman testiluokan. Käyttäessäsi valmista testiluokkaa, tallenna se itsellesi tiedostoon LaskuoperaatiotTest.java. Testiluokkaa ei tarvitse palauttaa.

```
public class LaskuoperaatiotTest {
    public static void main(String[] args) {
        double eka = 9.0;
        double toka = 3.0;

        System.out.println("Suoritetaan testi arvoilla " + eka + " ja " + toka + ":\n");

        double summa = Laskuoperaatiot.summa(eka, toka);
        System.out.println(eka + " + " + toka + " = " + summa);

        double erotus = Laskuoperaatiot.erotus(eka, toka);
        System.out.println(eka + " - " + toka + " = " + erotus);
    }
}
```

```
Example output:
Suoritetaan testi arvoilla 9.0 ja 3.0:

9.0 + 3.0 = 12.0
9.0 - 3.0 = 6.0
```

--------------------

**Laskuoperaatiot.java**

```
public class Laskuoperaatiot {

    public static void main(String[] args) {
        double eka = 9.0;
        double toka = 3.0;

        System.out.println("Suoritetaan testi arvoilla " + eka + " ja " + toka + ":\n");

        double summa = Laskuoperaatiot.summa(eka, toka);
        System.out.println(eka + " + " + toka + " = " + summa);

        double erotus = Laskuoperaatiot.erotus(eka, toka);
        System.out.println(eka + " - " + toka + " = " + erotus);
    }
    public static double summa(double eka, double toka) { return (eka + toka); }
    public static double erotus(double eka, double toka) { return (eka - toka); }
}
```
