Tee ohjelma Erapaiva, joka kertoo laskun päivämäärän perusteella eräpäivän. Eräpäivä on 14 päivän päästä laskun päivämäärästä. Tutustu LocalDate luokan plusDays metodiin.

```
Example output:
Anna laskun päivämäärä (vvvv-kk-pp): 2019-12-24
Eräpäivä on 2020-01-07
```

------------------

**Erapaiva.java**

```
import java.time.DateTimeException;
import java.time.format.DateTimeFormatter;
import java.time.LocalDate;
import java.util.Scanner;

public class Erapaiva {

    public static void main(String[] args) {

        DateTimeFormatter pvmMuoto = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        Scanner syote = new Scanner(System.in);
        System.out.print("Anna laskun päivämäärä (vvvv-kk-pp): ");
        try {
            LocalDate pvmLasku = LocalDate.parse(syote.next(), pvmMuoto);
            LocalDate pvmErapaiva = pvmLasku.plusDays(14);
            System.out.printf("Eräpäivä on %s", pvmErapaiva);
        } catch (DateTimeException e) {
            System.err.println("Syötä päivämäärä muodossa vvvv-kk-pp");
            System.exit(1);
        }
    }

}
```
