# Java basics

Java fundamentals through coding exercises.

Contents of this repository are based on [Java programming course material](https://opinto-opas.haaga-helia.fi/course_unit/SWD4TA032) provided by Haaga-Helia University of Applied Sciences. The original assignments are produced by Teemu Havulinna and Jukka Juslin.

**NOTE**: Assignments and their descriptions are in Finnish for meanwhile. I have a plan to translate them to English.

## Contents

- [Basics](src/branch/master/1_basics)

    - Description: fundamental code structuring

- [Conditionals](src/branch/master/2_conditionals)

    - Description: conditionals in Java

- [Loops](src/branch/master/3_loops)

    - Description: `for` and `while` loops in Java

- [Strings](src/branch/master/4_strings)

    - Description: String operations in Java

- [Lists](src/branch/master/5_lists)

    - Description: List operations in Java

- [Arrays](src/branch/master/6_arrays)

    - Description: Array operations in Java

- [Methods](src/branch/master/7_methods)

    - Description: Methods in Java

- [Lottery](src/branch/master/8_lottery_bonus)

    - Description: Two bonus assignments

- [Command line tools](src/branch/master/9_clitools)

    - Description: Basic day checker

- [Classes and objects](src/branch/master/10_classes-and-objects)

    - Description: Custom classes and objects in Java

- [Object-oriented programming](src/branch/master/11_object-oriented_programming)

    - Description: Multi-class Java programs

- [Exception](src/branch/master/12_exception)

    - Description: Exception handling in Java

- [Files](src/branch/master/13_files)

    - Description: File reading in Java
