Lista on erittäin hyödyllinen kun halutaan säilöä muuttujien arvoja myöhempää käsittelyä varten. Sillä on myös helpohko tehdä virheitä.

Tehtäväpohjassa on listaa käyttävä ohjelma. Muokkaa ohjelmaa siten, että sen suorittaminen tuottaa aina virheen IndexOutOfBoundsException. Ohjelman tulee olla sellainen, että käyttäjän ei tarvitse antaa koneelle syötettä (esim. näppäimistöltä).

Ohjelmassa näkyy myös tapa listan läpikäyntiin — palaamme tähän tapaan myöhemmin.

```
Example output:
Exception in thread "main" java.lang.IndexOutOfBoundsException...
```

--------------------

**IndexOutOfBounds.java**

```
// Ref: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava03/IndexOutOfBounds.java
import java.util.ArrayList;
import java.util.List;

public class IndexOutOfBounds {

    public static void main(String[] args) {
        List<String> sanalista = new ArrayList<>();

        sanalista.add("Ensimmäinen");
        sanalista.add("Toinen");

        int kokonaispituus = 0;

        for (int i = 0; i < sanalista.size(); i++) {

            // This index never exists in the loop, thus resulting to IndexOutOfBoundsException
            String sana = sanalista.get(i + 1);

            kokonaispituus += sana.length();
        }
    }
}
```
