Luo tehtäväpohjaan metodi public static int summa(ArrayList<Integer> luvut). Metodin tulee palauttaa parametrina annetun listan lukujen summa.

Metodisi tulee toimia seuraavan esimerkin mukaisesti:

```
ArrayList<Integer> luvut = new ArrayList<>();
luvut.add(3);
luvut.add(2);
luvut.add(6);
luvut.add(-1);
System.out.println(summa(luvut));

luvut.add(5);
luvut.add(1);
System.out.println(summa(luvut));
```

```
Esimerkkitulostus:

10
16
```

Pohja: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava16/Summa.java

```
Example output:
10
16
```

--------------------

**Summa.java**

```
// Ref: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava16/Summa.java
import java.util.ArrayList;

public class Summa {

    public static void main(String[] args) {
        ArrayList<Integer> luvut = new ArrayList<>();
        luvut.add(3);
        luvut.add(2);
        luvut.add(6);
        luvut.add(-1);
        System.out.println(summa(luvut));

        luvut.add(5);
        luvut.add(1);
        System.out.println(summa(luvut));
    }

    public static int summa(ArrayList<Integer> luvut) {

        int i = 0, summa = 0;
        while (i < luvut.size()) {
            summa += luvut.get(i);
            i++;
        }

        return summa;
    }
}
```
