Luo tehtäväpohjaan metodi public static void poistaViimeinen(ArrayList<String> mjonot). Metodin tulee poistaa parametrina saadusta listasta viimeisin arvo. Mikäli lista on tyhjä, metodin ei tule tehdä mitään.

Metodisi tulee toimia seuraavan esimerkin mukaisesti:

```
ArrayList<String> merkkijonot = new ArrayList<>();

merkkijonot.add("Eka");
merkkijonot.add("Toka");
merkkijonot.add("Kolmas");

System.out.println(merkkijonot);

poistaViimeinen(merkkijonot);
poistaViimeinen(merkkijonot);

System.out.println(merkkijonot);
```

```
Esimerkkitulostus:

[Eka, Toka, Kolmas]
[Eka]
```

Pohja: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava17/PoistaViimeinen.java

```
Example output:
[Eka, Toka, Kolmas]
[Eka]
```

--------------------

**PoistaViimeinen.java**

```
// Ref: https://github.com/swd1tn002/mooc.fi-2019-osa3/blob/master/src/tehtava17/PoistaViimeinen.java
import java.util.ArrayList;

public class PoistaViimeinen {

    public static void main(String[] args) {
        ArrayList<String> merkkijonot = new ArrayList<>();

        merkkijonot.add("Eka");
        merkkijonot.add("Toka");
        merkkijonot.add("Kolmas");

        System.out.println(merkkijonot);

        poistaViimeinen(merkkijonot);
        poistaViimeinen(merkkijonot);

        System.out.println(merkkijonot);
    }

    public static void poistaViimeinen(ArrayList<String> mjonot) {
        if (mjonot.size() > 0) {
            mjonot.remove(mjonot.size() - 1);
        }
    }
}
```
